[crux-commits] ports/contrib (3.6): seatd: initial commit, version 0.5.0

crux at crux.nu crux at crux.nu
Mon Mar 15 20:32:40 UTC 2021


commit 39b1d056ee9d3e75ff9cec066ff0036e917ad719
Author: Tim Biermann <tbier at posteo.de>
Date:   Mon Mar 15 20:30:08 2021 +0000

    seatd: initial commit, version 0.5.0

diff --git a/seatd/.footprint b/seatd/.footprint
new file mode 100644
index 000000000..be1543e80
--- /dev/null
+++ b/seatd/.footprint
@@ -0,0 +1,13 @@
+drwxr-xr-x	root/root	etc/
+drwxr-xr-x	root/root	etc/rc.d/
+-rwxr-xr-x	root/root	etc/rc.d/seatd
+drwxr-xr-x	root/root	usr/
+drwxr-xr-x	root/root	usr/bin/
+-rwxr-xr-x	root/root	usr/bin/seatd
+drwxr-xr-x	root/root	usr/include/
+-rw-r--r--	root/root	usr/include/libseat.h
+drwxr-xr-x	root/root	usr/lib/
+lrwxrwxrwx	root/root	usr/lib/libseat.so -> libseat.so.1
+-rwxr-xr-x	root/root	usr/lib/libseat.so.1
+drwxr-xr-x	root/root	usr/lib/pkgconfig/
+-rw-r--r--	root/root	usr/lib/pkgconfig/libseat.pc
diff --git a/seatd/.signature b/seatd/.signature
new file mode 100644
index 000000000..2f4d084c5
--- /dev/null
+++ b/seatd/.signature
@@ -0,0 +1,6 @@
+untrusted comment: verify with /etc/ports/contrib.pub
+RWSagIOpLGJF3wpRfgWkRq1AOGLAQDI5/f1igNJ7NJzYncT44N5q49sdjpZQko/Wm+Gk8AHt7zdptiAS/DRpyOrr5wbMXvszBAQ=
+SHA256 (Pkgfile) = f48570e3ff150204e3dd84e984f48dea80635c5629d46fb5f905e62e6bf542a6
+SHA256 (.footprint) = 61b240b4988c00f887849d5239ce1b8f7c0a16efa36469d05bff1113281e6604
+SHA256 (seatd-0.5.0.tar.gz) = 274b56324fc81ca6002bc1cdd387668dee34a6e1063e5f3896805c3770948988
+SHA256 (seatd.service) = 075fb133d0d3fc33b27ebd8ed74cbaa35627a1b0a804fb630a3939f497627aba
diff --git a/seatd/Pkgfile b/seatd/Pkgfile
new file mode 100644
index 000000000..4e512b7a8
--- /dev/null
+++ b/seatd/Pkgfile
@@ -0,0 +1,20 @@
+# Description: A minimal seat management daemon, and a universal seat management library
+# URL: https://git.sr.ht/~kennylevinsen/seatd
+# Maintainer: Tim Biermann, tbier at posteo dot de
+# Depends on: meson ninja
+
+name=seatd
+version=0.5.0
+release=1
+source=(https://github.com/kennylevinsen/seatd/archive/$version/$name-$version.tar.gz
+  seatd.service)
+
+build() {
+  meson setup $name-$version build \
+    --prefix=/usr \
+    --buildtype=plain \
+    -D builtin=enabled
+  meson compile -C build
+  DESTDIR=$PKG meson install -C build
+  install -Dm 755 $SRC/seatd.service $PKG/etc/rc.d/seatd
+}
diff --git a/seatd/seatd.service b/seatd/seatd.service
new file mode 100755
index 000000000..4b1e43812
--- /dev/null
+++ b/seatd/seatd.service
@@ -0,0 +1,31 @@
+#!/bin/sh
+#
+# /etc/rc.d/seatd: start/stop greetd
+#
+
+SSD=/sbin/start-stop-daemon
+PROG=/usr/bin/seatd
+OPTS=""
+RUNDIR=/var/run/greetd
+PIDFILE=$RUNDIR/greetd.pid
+
+case $1 in
+        start)
+        /usr/bin/seatd -g video & ;;
+stop)
+        killall seatd
+        ;;
+restart)
+        $0 stop
+        $0 start ;;
+status)
+        $SSD --status --exec $PROG
+        case $? in
+        0) echo "$PROG is running with pid $(pidof $PROG)" ;;
+        1) echo "$PROG is not running but the pid file $PID exists" ;;
+        3) echo "$PROG is not running" ;;
+        4) echo "Unable to determine the program status" ;;
+        esac ;;
+*)
+        echo "usage: $0 [start|stop|restart|status]" ;;
+esac


More information about the crux-commits mailing list